-- tables VIDIBA special version
-- 'group' is a parameter indicating whether the list contains objects or other tables
-- 'checkborder' is the color of the case-check in the box
-- 'labelcolor' is the color of text in the box
-- 'markcolor' is the color of mark of asteroids -- hex value of labelcolor
-- 'markstyle' is the mark of asteroids
-- 'marksize' is the dimension in pixels of the mark
-- 'number' is the number of asteroids in table
-- 'counter' is a parameter that allows the program to count the number of asteroids in the table and display it.
-- compatible with Croc version
-- -------------------------------------------------------------------
-- https://en.wikipedia.org/wiki/List_of_Earth-crossing_asteroids
-- completed 15/11/2023
EarthCrosser = -- https://en.wikipedia.org/wiki/List_of_Earth-crossing_asteroids

{
	groupe = false,
	checkBorder = {1, 1, 0.5, 1},
	labelcolor = {0.62, 0.24, 1, 1},
	markcolor = "#9E3EFF", 
	markstyle = "triangle",
	marksize = "2",
	number = 232, -- 228 asteroids + 4 moons
	counter = true,
	
	objects =
	{
		"Sol/1566 Icarus", -- EarthCrosser (NEA-ECA)
		"Sol/1620 Geographos", -- EarthCrosser (NEA-ECA)
		"Sol/1685 Toro", -- EarthCrosser (NEA-ECA)
		"Sol/1862 Apollo", -- EarthCrosser (NEA-ECA)
		"Sol/1863 Antinous", -- EarthCrosser (NEA-ECA)
		"Sol/1864 Daedalus", -- EarthCrosser (NEA-ECA)
		"Sol/1865 Cerberus", -- EarthCrosser (NEA-ECA)
		"Sol/1866 Sisyphus", -- EarthCrosser (NEA-ECA)
		"Sol/1981 Midas", -- EarthCrosser (NEA-ECA)
		"Sol/2062 Aten", -- EarthCrosser (NEA-ECA)
		"Sol/2063 Bacchus", -- EarthCrosser (NEA-ECA)
		"Sol/2100 Ra-Shalom", -- EarthCrosser (NEA-ECA)
		"Sol/2101 Adonis", -- EarthCrosser (NEA-ECA)
		"Sol/2102 Tantalus", -- EarthCrosser (NEA-ECA)
		"Sol/2135 Aristaeus", -- EarthCrosser (NEA-ECA)
		"Sol/2201 Oljato", -- EarthCrosser (NEA-ECA)
		"Sol/2212 Hephaistos", -- EarthCrosser (NEA-ECA)
		"Sol/2329 Orthos", -- EarthCrosser (NEA-ECA)
		"Sol/2340 Hathor", -- EarthCrosser (NEA-ECA)
		"Sol/3103 Eger", -- EarthCrosser (NEA-ECA)
		"Sol/3200 Phaethon", -- EarthCrosser (NEA-ECA)
		"Sol/3360 Syrinx", -- EarthCrosser (NEA-ECA)
		"Sol/3361 Orpheus", -- EarthCrosser (NEA-ECA)
		"Sol/3362 Khufu", -- EarthCrosser (NEA-ECA)
		"Sol/3554 Amun", -- EarthCrosser (NEA-ECA)
		"Sol/3671 Dionysus", -- EarthCrosser (NEA-ECA)
		"Sol/3752 Camillo", -- EarthCrosser (NEA-ECA)
		"Sol/3753 Cruithne", -- EarthCrosser (NEA-ECA)
		"Sol/3838 Epona", -- EarthCrosser (NEA-ECA)
		"Sol/4015 WilsonHarrington", -- EarthCrosser (NEA-ECA)
		"Sol/4034 Vishnu", -- EarthCrosser (NEA-ECA)
		"Sol/4179 Toutatis", -- EarthCrosser (NEA-ECA)
		"Sol/4183 Cuno", -- EarthCrosser (NEA-ECA)
		"Sol/4197 Morpheus", -- EarthCrosser (NEA-ECA)
		"Sol/4257 Ubasti", -- EarthCrosser (NEA-ECA)
		"Sol/4341 Poseidon", -- EarthCrosser (NEA-ECA)
		"Sol/4450 Pan", -- EarthCrosser (NEA-ECA)
		"Sol/4486 Mithra", -- EarthCrosser (NEA-ECA)
		"Sol/4544 Xanthus", -- EarthCrosser (NEA-ECA)
		"Sol/4581 Asclepius", -- EarthCrosser (NEA-ECA)
		"Sol/4660 Nereus", -- EarthCrosser (NEA-ECA)
		"Sol/4769 Castalia", -- EarthCrosser (NEA-ECA)
		"Sol/4953 1990 MU", -- EarthCrosser (NEA-ECA)
		"Sol/5011 Ptah", -- EarthCrosser (NEA-ECA)
		"Sol/5131 1990 BG", -- EarthCrosser (NEA-ECA)
		"Sol/5143 Heracles", -- EarthCrosser (NEA-ECA)
		"Sol/5189 1990 UQ", -- EarthCrosser (NEA-ECA)
		"Sol/5381 Sekhmet", -- EarthCrosser (NEA-ECA)
		"Sol/5496 1973 NA", -- EarthCrosser (NEA-ECA)
		"Sol/5590 1990 VA", -- EarthCrosser (NEA-ECA)
		"Sol/5604 1992 FE", -- EarthCrosser (NEA-ECA)
		"Sol/5645 1990 SP", -- EarthCrosser (NEA-ECA)
		"Sol/5660 1974 MA", -- EarthCrosser (NEA-ECA)
		"Sol/5693 1993 EA", -- EarthCrosser (NEA-ECA)
		"Sol/5731 Zeus", -- EarthCrosser (NEA-ECA)
		"Sol/5786 Talos", -- EarthCrosser (NEA-ECA)
		"Sol/5828 1991 AM", -- EarthCrosser (NEA-ECA)
		"Sol/6037 1988 EG", -- EarthCrosser (NEA-ECA)
		"Sol/6047 1991 TB1", -- EarthCrosser (NEA-ECA)
		"Sol/6053 1993 BW3", -- EarthCrosser (NEA-ECA)
		"Sol/6063 Jason", -- EarthCrosser (NEA-ECA)
		"Sol/6239 Minos", -- EarthCrosser (NEA-ECA)
		"Sol/6455 1992 HE", -- EarthCrosser (NEA-ECA)
		"Sol/6489 Golevka", -- EarthCrosser (NEA-ECA)
		"Sol/6611 1993 VW", -- EarthCrosser (NEA-ECA)
		"Sol/7025 1993 QA", -- EarthCrosser (NEA-ECA)
		"Sol/7092 Cadmus", -- EarthCrosser (NEA-ECA)
		"Sol/7335 1989 JA", -- EarthCrosser (NEA-ECA)
		"Sol/7341 1991 VK", -- EarthCrosser (NEA-ECA)
		"Sol/7350 1993 VA", -- EarthCrosser (NEA-ECA)
		"Sol/7482 1994 PC1", -- EarthCrosser (NEA-ECA)
		"Sol/7753 1988 XB", -- EarthCrosser (NEA-ECA)
		"Sol/7822 1991 CS", -- EarthCrosser (NEA-ECA)
		"Sol/7888 1993 UC", -- EarthCrosser (NEA-ECA)
		"Sol/7889 1994 LX", -- EarthCrosser (NEA-ECA)
		"Sol/8014 1990 MF", -- EarthCrosser (NEA-ECA)
		"Sol/8035 1992 TB", -- EarthCrosser (NEA-ECA)
		"Sol/8176 1991 WA", -- EarthCrosser (NEA-ECA)
		"Sol/8201 1994 AH2", -- EarthCrosser (NEA-ECA)
		"Sol/8507 1991 CB1", -- EarthCrosser (NEA-ECA)
		"Sol/8566 1996 EN", -- EarthCrosser (NEA-ECA)
		"Sol/9058 1992 JB", -- EarthCrosser (NEA-ECA)
		"Sol/9162 Kwiila", -- EarthCrosser (NEA-ECA)
		"Sol/9202 1993 PB", -- EarthCrosser (NEA-ECA)
		"Sol/9856 1991 EE", -- EarthCrosser (NEA-ECA)
		
		"Sol/10115 1992 SK", -- EarthCrosser (NEA-ECA)
		"Sol/10145 1994 CK1", -- EarthCrosser (NEA-ECA)
		"Sol/10165 1995 BL2", -- EarthCrosser (NEA-ECA)
		"Sol/10563 Izhdubar", -- EarthCrosser (NEA-ECA)
		"Sol/10636 1998 QK56", -- EarthCrosser (NEA-ECA)
		"Sol/11066 Sigurd", -- EarthCrosser (NEA-ECA)
		"Sol/11311 Peleus", -- EarthCrosser (NEA-ECA)
		"Sol/11405 1999 CV3", -- EarthCrosser (NEA-ECA)
		"Sol/11500 Tomaiyowit", -- EarthCrosser (NEA-ECA)
		"Sol/11885 Summanus", -- EarthCrosser (NEA-ECA)
		"Sol/12538 1998 OH", -- EarthCrosser (NEA-ECA)
		"Sol/12711 Tukmit", -- EarthCrosser (NEA-ECA)
		"Sol/12923 Zephyr", -- EarthCrosser (NEA-ECA)
		
		"Sol/13651 1997 BR", -- EarthCrosser (NEA-ECA)
		
		"Sol/14827 Hypnos", -- EarthCrosser (NEA-ECA)
		
		"Sol/16816 1997 UF9", -- EarthCrosser (NEA-ECA)
		"Sol/16834 1997 WU22", -- EarthCrosser (NEA-ECA)
		"Sol/16960 1998 QS52", -- EarthCrosser (NEA-ECA)
		
		"Sol/17181 1999 UM3", -- EarthCrosser (NEA-ECA)
		"Sol/17182 1999 VU", -- EarthCrosser (NEA-ECA)
		"Sol/17188 1999 WC2", -- EarthCrosser (NEA-ECA)
		"Sol/17511 1992 QN", -- EarthCrosser (NEA-ECA)
		
		"Sol/20236 1998 BZ7", -- EarthCrosser (NEA-ECA)
		"Sol/20425 1998 VD35", -- EarthCrosser (NEA-ECA)
		"Sol/20429 1998 YN1", -- EarthCrosser (NEA-ECA)
		"Sol/20826 2000 UV13", -- EarthCrosser (NEA-ECA)
		"Sol/22099 2000 EX106", -- EarthCrosser (NEA-ECA)
		"Sol/22753 1998 WT", -- EarthCrosser (NEA-ECA)
		"Sol/22771 1999 CU3", -- EarthCrosser (NEA-ECA)
		"Sol/23187 2000 PN9", -- EarthCrosser (NEA-ECA)
		"Sol/24443 2000 OG", -- EarthCrosser (NEA-ECA)
		"Sol/24445 2000 PM8", -- EarthCrosser (NEA-ECA)
		"Sol/24761 Ahau", -- EarthCrosser (NEA-ECA)
		"Sol/25143 Itokawa", -- EarthCrosser (NEA-ECA)
		"Sol/25330 1999 KV4", -- EarthCrosser (NEA-ECA)
		"Sol/26379 1999 HZ1", -- EarthCrosser (NEA-ECA)
		"Sol/26663 2000 XK47", -- EarthCrosser (NEA-ECA)
		"Sol/27002 1998 DV9", -- EarthCrosser (NEA-ECA)
		"Sol/29075 1950 DA", -- EarthCrosser (NEA-ECA)
		
		"Sol/30825 1990 TG1", -- EarthCrosser (NEA-ECA)
		"Sol/30997 1995 UO5", -- EarthCrosser (NEA-ECA)
		"Sol/31662 1999 HP11", -- EarthCrosser (NEA-ECA)
		"Sol/31669 1999 JT6", -- EarthCrosser (NEA-ECA)
		"Sol/33342 1998 WT24", -- EarthCrosser (NEA-ECA)
		"Sol/35107 1991 VH", -- EarthCrosser (NEA-ECA)
		"Sol/35396 1997 XF11", -- EarthCrosser (NEA-ECA)
		"Sol/35670 1998 SU27", -- EarthCrosser (NEA-ECA)
		"Sol/36236 1999 VV", -- EarthCrosser (NEA-ECA)
		"Sol/36284 2000 DM8", -- EarthCrosser (NEA-ECA)
		"Sol/37638 1993 VB", -- EarthCrosser (NEA-ECA)
		"Sol/37655 Illapa", -- EarthCrosser (NEA-ECA)
		"Sol/38086 Beowulf", -- EarthCrosser (NEA-ECA)
		"Sol/38239 1999 OR3", -- EarthCrosser (NEA-ECA)
		
		"Sol/40267 1999 GJ4", -- EarthCrosser (NEA-ECA)
		"Sol/41429 2000 GE2", -- EarthCrosser (NEA-ECA)
		"Sol/42286 2001 TN41", -- EarthCrosser (NEA-ECA)
		
		"Sol/52340 1992 SY", -- EarthCrosser (NEA-ECA)
		"Sol/52750 1998 KK17", -- EarthCrosser (NEA-ECA)
		"Sol/52760 1998 ML14", -- EarthCrosser (NEA-ECA)
		"Sol/52762 1998 MT24", -- EarthCrosser (NEA-ECA)
		"Sol/53319 1999 JM8", -- EarthCrosser (NEA-ECA)
		"Sol/53409 1999 LU7", -- EarthCrosser (NEA-ECA)
		"Sol/53426 1999 SL5", -- EarthCrosser (NEA-ECA)
		"Sol/53429 1999 TF5", -- EarthCrosser (NEA-ECA)
		"Sol/53550 2000 BF19", -- EarthCrosser (NEA-ECA)
		"Sol/53789 2000 ED104", -- EarthCrosser (NEA-ECA)
		"Sol/54509 YORP", -- EarthCrosser (NEA-ECA)
		"Sol/55408 2001 TC2", -- EarthCrosser (NEA-ECA)
		"Sol/55532 2001 WG2", -- EarthCrosser (NEA-ECA)
		
		"Sol/65679 1989 UQ", -- EarthCrosser (NEA-ECA)
		"Sol/65690 1991 DG", -- EarthCrosser (NEA-ECA)
		"Sol/65717 1993 BX3", -- EarthCrosser (NEA-ECA)
		"Sol/65733 1993 PC", -- EarthCrosser (NEA-ECA)
		"Sol/65803 Didymos", -- EarthCrosser (NEA-ECA)
		"Sol/65909 1998 FH12", -- EarthCrosser (NEA-ECA)
		"Sol/66008 1998 QH2", -- EarthCrosser (NEA-ECA)
		"Sol/66063 1998 RO1", -- EarthCrosser (NEA-ECA)
		"Sol/66146 1998 TU3", -- EarthCrosser (NEA-ECA)
		"Sol/66253 1999 GT3", -- EarthCrosser (NEA-ECA)
		"Sol/66391 Moshup", -- EarthCrosser (NEA-ECA)
		"Sol/66400 1999 LT7", -- EarthCrosser (NEA-ECA)
		"Sol/67381 2000 OL8", -- EarthCrosser (NEA-ECA)
		"Sol/67399 2000 PJ6", -- EarthCrosser (NEA-ECA)
		"Sol/68216 2001 CV26", -- EarthCrosser (NEA-ECA)
		"Sol/68267 2001 EA16", -- EarthCrosser (NEA-ECA)
		"Sol/68346 2001 KZ66", -- EarthCrosser (NEA-ECA)
		"Sol/68347 2001 KB67", -- EarthCrosser (NEA-ECA)
		"Sol/68348 2001 LO7", -- EarthCrosser (NEA-ECA)
		"Sol/68372 2001 PM9", -- EarthCrosser (NEA-ECA)
		"Sol/68548 2001 XR31", -- EarthCrosser (NEA-ECA)
		"Sol/68950 2002 QF15", -- EarthCrosser (NEA-ECA)
		"Sol/69230 Hermes", -- EarthCrosser (NEA-ECA)
		
		"Sol/85182 1991 AQ", -- EarthCrosser (NEA-ECA)
		"Sol/85236 1993 KH", -- EarthCrosser (NEA-ECA)
		"Sol/85585 Mjolnir", -- EarthCrosser (NEA-ECA)
		"Sol/85640 1998 OX4", -- EarthCrosser (NEA-ECA)
		"Sol/85713 1998 SS49", -- EarthCrosser (NEA-ECA)
		"Sol/85770 1998 UP1", -- EarthCrosser (NEA-ECA)
		"Sol/85774 1998 UT18", -- EarthCrosser (NEA-ECA)
		"Sol/85818 1998 XM4", -- EarthCrosser (NEA-ECA)
		"Sol/85938 1999 DJ4", -- EarthCrosser (NEA-ECA)
		"Sol/85953 1999 FK21", -- EarthCrosser (NEA-ECA)
		"Sol/85989 1999 JD6", -- EarthCrosser (NEA-ECA)
		"Sol/85990 1999 JV6", -- EarthCrosser (NEA-ECA)
		"Sol/86039 1999 NC43", -- EarthCrosser (NEA-ECA)
		"Sol/86450 2000 CK33", -- EarthCrosser (NEA-ECA)
		"Sol/86666 2000 FL10", -- EarthCrosser (NEA-ECA)
		"Sol/86667 2000 FO10", -- EarthCrosser (NEA-ECA)
		"Sol/86819 2000 GK137", -- EarthCrosser (NEA-ECA)
		"Sol/86829 2000 GR146", -- EarthCrosser (NEA-ECA)
		"Sol/86878 2000 HD24", -- EarthCrosser (NEA-ECA)
		"Sol/87024 2000 JS66", -- EarthCrosser (NEA-ECA)
		"Sol/87025 2000 JT66", -- EarthCrosser (NEA-ECA)
		"Sol/87309 2000 QP", -- EarthCrosser (NEA-ECA)
		"Sol/87311 2000 QJ1", -- EarthCrosser (NEA-ECA)
		"Sol/87684 2000 SY2", -- EarthCrosser (NEA-ECA)
		"Sol/88213 2001 AF2", -- EarthCrosser (NEA-ECA)
		"Sol/88254 2001 FM129", -- EarthCrosser (NEA-ECA)
		"Sol/88710 2001 SL9", -- EarthCrosser (NEA-ECA)
		"Sol/88959 2001 TZ44", -- EarthCrosser (NEA-ECA)
		"Sol/89136 2001 US16", -- EarthCrosser (NEA-ECA)
		"Sol/89958 2002 LY45", -- EarthCrosser (NEA-ECA)
		"Sol/89959 2002 NT7", -- EarthCrosser (NEA-ECA)
		
		"Sol/90075 2002 VU94", -- EarthCrosser (NEA-ECA)
		"Sol/90147 2002 YK14", -- EarthCrosser (NEA-ECA)
		"Sol/90367 2003 LC5", -- EarthCrosser (NEA-ECA)
		"Sol/90403 2003 YE45", -- EarthCrosser (NEA-ECA)
		"Sol/90416 2003 YK118", -- EarthCrosser (NEA-ECA)
		"Sol/99942 Apophis", -- EarthCrosser (NEA-ECA)
		
		"Sol/136617 1994 CC", -- EarthCrosser (NEA-ECA)
		
		"Sol/153591 2001 SN263", -- AmorFamily (NEA-MCA)Pha (NEA-MCA), EarthCrosser (NEA-ECA)
			"Sol/153591 2001 SN263/2008 153591 I", -- AsteroidMoon
			"Sol/153591 2001 SN263/2008 153591 II", -- AsteroidMoon
		
		"Sol/367943 Duende", -- EarthCrosser (NEA-ECA)
		"Sol/374158 2004 UL", -- EarthCrosser (NEA-ECA)
		"Sol/386454 2008 XM", -- EarthCrosser (NEA-ECA)
		"Sol/394130 2006 HY51", -- EarthCrosser (NEA-ECA)
		
		--"Sol/2009 FD Barycenter", -- EarthCrosser (NEA-ECA), ApolloGroup (NEA-ECA)
			"Sol/2009 FD Barycenter/410777 2009 FD", -- EarthCrosser (NEA-ECA), ApolloGroup (NEA-ECA)
			"Sol/2009 FD Barycenter/2015 410777 I", -- EarthCrosser (NEA-ECA), ApolloGroup (NEA-ECA)
		
		"Sol/518635 2008 HO3", -- EarthCrosser (NEA-ECA)
		"Sol/524522 2002 VE68", -- EarthCrosser (NEA-ECA)
		
		"Sol/2005 HC4", -- EarthCrosser (NEA-ECA)
		"Sol/2008 FF5", -- EarthCrosser (NEA-ECA)
		"Sol/2012 XE133", -- EarthCrosser (NEA-ECA)
		"Sol/2013 ND15", -- EarthCrosser (NEA-ECA)
		"Sol/2016 NL56", -- EarthCrosser (NEA-ECA)
		"Sol/2020 QG", -- EarthCrosser (NEA-ECA)
	}
}